%define name couchdb-glib
%define version 0.5.2
%define release %mkrel 2
%define __libtoolize /bin/true

Summary:        A glib api to access CouchDB servers
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          System/Libraries
License:        LGPLv2
URL:            http://www.gnome.org/
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.5/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libjson-glib-devel
BuildRequires: libuuid-devel
BuildRequires: libsoup-devel
BuildRequires: openssl-devel
BuildRequires: gettext
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:   %name < %version


%description
CouchDB-GLib is a GLib-based API to access CouchDB servers
(http://couchdb.apache.org), a replication/synchronization 
schema-free database of JSON documents, used in online services 
like Midgard.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std 

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE README NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/couchdb-glib-1.0/
%{_libdir}/pkgconfig/couchdb-glib-1.0.pc
%{_libdir}/*.so

%changelog
* Thu Dec 24 2009 Texstar <texstar at gmail.com> 0.5.2-2pclos2010
- rebuild

* Thu Oct 08 2009 slick50 <lxgator@gmail.com> 0.5.2-1pclos2010
- initial package
